View Issue Details

IDProjectCategoryView StatusLast Update
0005600mantisbtsecuritypublic2017-01-18 10:18
Reporterthraxisp Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Summary0005600: Security - System-Logging
Description

Some kind of system logging would be nice. It could be useful for tracking what has happened in parts of the system not related to bugs.

Examples are: all emails sent, all userids changed, ...

Logging would be controlled by a configuration variable, and log to a file initially. Other methods should be created as required (potentially with different channels to different log files or whatever.

Logging will not be localized, nor will there be extensive documentation.

TagsNo tags attached.

Relationships

parent of 0002977 new Security - User-Logging 
Not all the children of this issue are yet resolved or closed.

Activities

thraxisp

thraxisp

2005-05-13 18:05

reporter   ~0010124

Initial version committed to CVS. Email logging added.

config_defaults_inc.php ->1.263
core.php ->1.41
core/constant_inc.php -> 1.47
core/email_api.php -> 1.116
core/logging_api.php -> 1.1

Issue History

Date Modified Username Field Change
2005-05-13 17:47 thraxisp New Issue
2005-05-13 17:47 thraxisp Assigned To => thraxisp
2005-05-13 17:47 thraxisp Issue generated from: 0002977
2005-05-13 17:47 thraxisp Relationship added parent of 0002977
2005-05-13 18:05 thraxisp Note Added: 0010124
2005-05-13 18:05 thraxisp Status new => assigned
2009-05-19 20:02 thraxisp Assigned To thraxisp =>
2009-05-19 20:02 thraxisp Status assigned => acknowledged
2017-01-18 10:18 atrol Severity major => feature